﻿using DataTransmission.Enum;
using DataTransmission.Joint;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataTransmission.Entity
{
	public class WorkflowTrace : StepBasicEntity
	{
		/// <summary>
		/// 节点Id
		/// </summary>
		public string? StepId { get; set; }

		/// <summary>
		/// 会签从属关系
		/// </summary>
		public string? ParentId { get; set; }

		/// <summary>
		/// 流转记录状态
		/// </summary>
		public EWorkflowTraceType? TraceType { get; set; }

		/// <summary>
		/// 派单组办理次数
		/// </summary>
		//[SugarColumn(DefaultValue = "0")]
		public int SendHandleTimes { get; set; }

		/// <summary>
		/// 快照对应节点状态
		/// </summary>
		//[SugarColumn(DefaultValue = "0")]
		public EWorkflowTraceState TraceState { get; set; }

		/// <summary>
		/// 快照类型
		/// </summary>
		//[SugarColumn(DefaultValue = "0")]
		public ETraceStyle TraceStyle { get; set; } = ETraceStyle.Flow;

		public string? OrderPublishId { get; set; }

		//[Navigate(NavigateType.OneToOne, nameof(OrderPublishId))]
		//public OrderPublish OrderPublish { get; set; }

		//public string? OrderVisitId { get; set; }

		//[Navigate(NavigateType.OneToOne, nameof(OrderVisitId))]
		//public OrderVisit OrderVisit { get; set; }

		///// <summary>
		///// 会签流转记录
		///// </summary>
		//[SugarColumn(IsIgnore = true)]
		//public List<WorkflowTrace> Traces { get; set; }



	}
}
