﻿using SnapshotWinFormsApp.Repository;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SnapshotWinFormsApp.Application.Dtos;
public class CreateInstanceInDto
{
    public CreateInstanceInDto(DbSqlServer dbSqlServer, string key, DateTime startTime, DateTime endTime, string keyWord)
    { 
        DbSqlServer = dbSqlServer;
        Key = key;
        StartTime = new DateTime(startTime.Year, startTime.Month, startTime.Day, 0, 0, 0);
        EndTime = new DateTime(endTime.Year, endTime.Month, endTime.Day, 23, 59, 59);
        Keyword = keyWord;
    }

    public DbSqlServer DbSqlServer { get; set; }
    public string Key { get; set; }
    public DateTime StartTime { get; set; }
    public DateTime EndTime { get; set; }

    /// <summary>
    /// Keyword
    /// </summary>
    public string? Keyword { get; set; }
}
