﻿using Hotline.Snapshot;
using Mapster;
using SnapshotWinFormsApp.Application.Dtos;
using SnapshotWinFormsApp.Application.Interfaces;
using SnapshotWinFormsApp.Entities.OldHotline;
using SnapshotWinFormsApp.Repository.Interfaces;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SnapshotWinFormsApp.Application;

[Description("志愿者上报")]
public class VolunteerReportApplication : ImportApplicationBase<SSP_Volunteer, VolunteerReport>, IImportApplication
{
    public VolunteerReportApplication(CreateInstanceInDto inDto) : base(inDto)
    {
    }

    public override async Task<VolunteerReport> GetTargetAsync(SSP_Volunteer source, CancellationToken token)
    {
        var target = source.Adapt<VolunteerReport>();
        target.JobType = JobType.FirstOrDefault(m => m.DicDataName == target.JobType)?.Id;
        return target;
    }
}
