﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SnapshotWinFormsApp.Entities.OldHotline;

[SugarTable("ZG_CityHotline_Ver3.dbo.Flow03_Search")]
public class Flow03_SearchEntity : OldBaseEntity
{
    [SugarColumn(ColumnName = "FSH_FlowID")]
    public override string Id { get; set; }
    //public int FSH_FlowID { get; set; }
    public string FSH_ItemName { get; set; }
    public string FSH_Code { get; set; }
    public string FSH_FromName { get; set; }
    public string FSH_AreaName { get; set; }
    public string FSH_PurTypeName { get; set; }
    public string FSH_ConTypeName { get; set; }
    public string FSH_ServerName { get; set; }
    public string FSH_Title { get; set; }
    public string FSH_UserName { get; set; }
    public string FSH_BMName { get; set; }
    public DateTime FSH_AddDate { get; set; }
    public DateTime? FSH_TTime { get; set; }
    public DateTime? FSH_FiftyTTime { get; set; }
    public DateTime? FSH_EightyTTime { get; set; }
    public string FSH_AcceptUserName { get; set; }
    public string FSH_AcceptName { get; set; }
    public DateTime? FSH_AcceptDate { get; set; }
    public DateTime? FSH_DisposeDate { get; set; }
    public string FSH_LinkName { get; set; }
    public string FSH_LinkTel { get; set; }
    public string FSH_FromTel { get; set; }
    public string FSH_StateFlagName { get; set; }
    public int? FSH_PunishNum { get; set; }
    public string FSH_Identify { get; set; }
    public DateTime? FSH_IdtDate { get; set; }
    public int? FSH_MeetingCount { get; set; }
    public int? FSH_LeaderCount { get; set; }
    public bool? FSH_SubFlag { get; set; }
    public bool? FSH_InvFlag { get; set; }
    public bool? FSH_StopFlag { get; set; }
    public string FSH_EndUserName { get; set; }
    public int? FSH_EndUserID { get; set; }
    public int? FSH_EndBMID { get; set; }
    public string FSH_ShowTitle { get; set; }
    public string FSH_HotlineNum { get; set; }
    public bool? FSH_Urgent { get; set; }
    public int? FSH_AcceptBMID { get; set; }
    public string FSH_ConTypeNameFull { get; set; }
    public string FSH_Keyword { get; set; }
    public int? FSH_RunID { get; set; }
    public int? FSH_FromID { get; set; }
    public int? FSH_AreaID { get; set; }
    public int? FSH_PurTypeID { get; set; }
    public int? FSH_ConTypeID { get; set; }
    public int? FSH_ServerID { get; set; }
    public int? FSH_CreateUserID { get; set; }
    public int? FSH_CreateBMID { get; set; }
    public int? FSH_SessionID { get; set; }
    public DateTime? FSH_TempTTime { get; set; }
    public string FSH_OrderType { get; set; }
    public string FSH_PersonnelType { get; set; }
    public string FSH_ProCode { get; set; }
    public string FSH_Punish { get; set; }
    public string FSH_ProCodeGeneral { get; set; }
    public bool? FSH_ReplyIsTrue { get; set; }
    public bool? FSH_ReplyIsBMTrue { get; set; }
    public bool? FSH_IsRectification { get; set; }
    public string FSH_PushType { get; set; }
    public int? FSH_SubFlowID_SSP { get; set; }
    public int? FSH_SubFlowID_SSPBM { get; set; }
    public string FSH_SSPCode { get; set; }
    public int? FSH_SSPAreaID { get; set; }
    public int? FSH_AcceptBMID1 { get; set; }
    public string FSH_AcceptName1 { get; set; }
    public int? FSH_AcceptBMID2 { get; set; }
    public string FSH_AcceptName2 { get; set; }
    public int? FSH_AcceptBMID3 { get; set; }
    public string FSH_AcceptName3 { get; set; }
    public int? FSH_EnIndustryID { get; set; }
    public string FSH_EnIndustryName { get; set; }
    public int? FSH_EnMarketID { get; set; }
    public string FSH_EnMarketName { get; set; }
    public string FSH_CallMatch { get; set; }
    public bool? FSH_End12315 { get; set; }
    public bool? FSH_24End { get; set; }
    public int? FSH_IndustryID { get; set; }
    public string FSH_IndustryName { get; set; }
    public string FSH_IndustryIDType { get; set; }
    public string FSH_WorkVerify { get; set; }
    public string FSH_Checklist { get; set; }
    public string FSH_TagType { get; set; }
    public string FSH_Compliance { get; set; }
}
