﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SnapshotWinFormsApp.Entities.OldHotline;

public class OrderFullEntity : OldBaseEntity
{
    [SugarColumn(ColumnName = "FSH_Code")]
    public override string Id { get => base.Id; set => base.Id = value; }
    public string Serial { get; set; }
    public string RCI_FlowID { get; set; }
    public string FSH_FlowID { get; set; }
    public string FSH_ItemName { get; set; }
    // public string FSH_Code { get; set; }
    public string FSH_FromName { get; set; }
    public string FSH_AreaName { get; set; }
    public string FSH_PurTypeName { get; set; }
    public string FSH_ConTypeName { get; set; }
    public string FSH_ServerName { get; set; }
    public string FSH_Title { get; set; }
    public string FSH_UserName { get; set; }
    public string FSH_BMName { get; set; }
    public string FSH_AddDate { get; set; }
    public string FSH_TTime { get; set; }
    public string FSH_FiftyTTime { get; set; }
    public string FSH_EightyTTime { get; set; }
    public string FSH_AcceptUserName { get; set; }
    public string FSH_AcceptName { get; set; }
    public string FSH_AcceptDate { get; set; }
    public string FSH_DisposeDate { get; set; }
    public string FSH_LinkName { get; set; }
    public string FSH_LinkTel { get; set; }
    public string FSH_FromTel { get; set; }
    public string FSH_StateFlagName { get; set; }
    public string FSH_PunishNum { get; set; }
    public string FSH_Identify { get; set; }
    public string FSH_IdtDate { get; set; }
    public string FSH_MeetingCount { get; set; }
    public string FSH_LeaderCount { get; set; }
    public string FSH_SubFlag { get; set; }
    public string FSH_InvFlag { get; set; }
    public string FSH_StopFlag { get; set; }
    public string FSH_EndUserName { get; set; }
    public string FSH_EndUserID { get; set; }
    public string FSH_EndBMID { get; set; }
    public string FSH_ShowTitle { get; set; }
    public string FSH_HotlineNum { get; set; }
    public string FSH_Urgent { get; set; }
    public string FSH_AcceptBMID { get; set; }
    public string FSH_IsPublic { get; set; }
    public string FSH_ConTypeNameFull { get; set; }
    public string FSH_Keyword { get; set; }
    public string FSH_RunID { get; set; }
    public string FSH_FromID { get; set; }
    public string FSH_AreaID { get; set; }
    public string FSH_PurTypeID { get; set; }
    public string FSH_ConTypeID { get; set; }
    public string FSH_ServerID { get; set; }
    public string FSH_CreateUserID { get; set; }
    public string FSH_CreateBMID { get; set; }
    public string FSH_SessionID { get; set; }
    public string FSH_TempTTime { get; set; }
    public string FSH_OrderType { get; set; }
    public string FSH_PersonnelType { get; set; }
    public string FSH_ProCode { get; set; }
    public string FSH_Punish { get; set; }
    public string FSH_ProCodeGeneral { get; set; }
    public string FSH_ReplyIsTrue { get; set; }
    public string FSH_ReplyIsBMTrue { get; set; }
    public string FSH_IsRectification { get; set; }
    public string FSH_PushType { get; set; }
    public string FSH_SubFlowID_SSP { get; set; }
    public string FSH_SubFlowID_SSPBM { get; set; }
    public string FSH_SSPCode { get; set; }
    public string FSH_SSPAreaID { get; set; }
    public string FSH_AcceptBMID1 { get; set; }
    public string FSH_AcceptName1 { get; set; }
    public string FSH_AcceptBMID2 { get; set; }
    public string FSH_AcceptName2 { get; set; }
    public string FSH_AcceptBMID3 { get; set; }
    public string FSH_AcceptName3 { get; set; }
    public string FSH_EnIndustryID { get; set; }
    public string FSH_EnIndustryName { get; set; }
    public string FSH_EnMarketID { get; set; }
    public string FSH_EnMarketName { get; set; }
    public string FSH_CallMatch { get; set; }
    public string FSH_End12315 { get; set; }
    public string FSH_24End { get; set; }
    public string FSH_IndustryID { get; set; }
    public string FSH_IndustryName { get; set; }
    public string FSH_IndustryIDType { get; set; }
    public string FSH_WorkVerify { get; set; }
    public string FSH_Checklist { get; set; }
    public string FSH_TagType { get; set; }
    public string FSH_Compliance { get; set; }
    public string FFM_FromID { get; set; }
    public string FFM_ParentID { get; set; }
    public string FFM_FromName { get; set; }
    public string FFM_FromCode { get; set; }
    public string FFM_FromICO { get; set; }
    public string FFM_FromColor { get; set; }
    public string FFM_FromOrder { get; set; }
    public string FFM_ProFromCode { get; set; }
    public string FLM_FlowID { get; set; }
    public string FLM_LKName { get; set; }
    public string FLM_LKIDCard { get; set; }
    public string FLM_LKTel { get; set; }
    public string FLM_LKSex { get; set; }
    public string FLM_LKMail { get; set; }
    public string FLM_LKWorkUnit { get; set; }
    public string FLM_LKAddress { get; set; }
    public string FLM_SFlag { get; set; }
    public string FLM_LKEnName { get; set; }
    public string FTE_TypeID { get; set; }
    public string FTE_TypeFlag { get; set; }
    public string FTE_StoreID { get; set; }
    public string FTE_ParentID { get; set; }
    public string FTE_TypeName { get; set; }
    public string FTE_PYCode { get; set; }
    public string FTE_FullName { get; set; }
    public string FTE_Code { get; set; }
    public string FTE_FullCode { get; set; }
    public string FTE_PlanID { get; set; }
    public string FTE_TLimits { get; set; }
    public string FTE_TimeUnit { get; set; }
    public string FTE_TypeOrder { get; set; }
    public string FTE_Color { get; set; }
    public string FTE_ImageFile { get; set; }
    public string FTE_TypeUnit { get; set; }
    public string FTE_ProvinceCode { get; set; }
    public string FTE_DelFlag { get; set; }
    public string FTE_RelID { get; set; }
    public string FTE_GUID { get; set; }
    public string FTE_HotlineCode { get; set; }
    public string FTE_TypeNameFull { get; set; }
    public string SA_AreaID { get; set; }
    public string SA_ParentID { get; set; }
    public string SA_AreaName { get; set; }
    public string SA_AreaCode { get; set; }
    public string SA_AreaPYCode { get; set; }
    public string SA_OrderID { get; set; }
    public string SA_Population { get; set; }
    public string SA_AreaNameFull { get; set; }
    public string FED_FlowID { get; set; }
    public string FED_Code { get; set; }
    public string FED_ReultPWD { get; set; }
    public string FED_FromName { get; set; }
    public string FED_AreaName { get; set; }
    public string FED_PurTypeName { get; set; }
    public string FED_ConTypeName { get; set; }
    public string FED_ServerName { get; set; }
    public string FED_FromTel { get; set; }
    public string FED_SessionID { get; set; }
    public string FED_FromIP { get; set; }
    public string FED_FromMail { get; set; }
    public string FED_Microblog { get; set; }
    public string FED_WeChat { get; set; }
    public string FED_SubFlowID { get; set; }
    public string FED_UserName { get; set; }
    public string FED_BMName { get; set; }
    public string FED_UserNO { get; set; }
    public string FED_CompanyID { get; set; }
    public string FED_FiftyTTime { get; set; }
    public string FED_EightyTTime { get; set; }
    public string FED_FromInfo { get; set; }
    public string FED_PunishNum { get; set; }
    public string FED_Identify { get; set; }
    public string FED_IdtDate { get; set; }
    public string FED_Judge { get; set; }
    public string FED_HotlineNum { get; set; }
    public string FED_Keyword { get; set; }
    public string FED_TypeName { get; set; }
    public string FED_ISThreeCall { get; set; }
    public string FED_ISSubSSP { get; set; }
    public string FED_IsExtends { get; set; }
    public string FED_PoliceDYYY { get; set; }
    public string FCT_FlowID { get; set; }
    public string FCT_Content { get; set; }
    public string FCT_InvContent { get; set; }
    public string FCT_Voice { get; set; }
    public string FCT_IsSynchES { get; set; }
    public string FALT_ListID { get; set; }
    public string FALT_FlowID { get; set; }
    public string FALT_SessionID { get; set; }
    public string FALT_CallOutTel { get; set; }
    public string FALT_AcceptUserID { get; set; }
    public string FALT_SeatsTypeID { get; set; }
    public string FALT_SeatsTypeName { get; set; }
    public string FALT_ZxRemark { get; set; }
    public string FALT_AppBMID { get; set; }
    public string FALT_AppTypeID { get; set; }
    public string FALT_AppTypeName { get; set; }
    public string FALT_AppTypeBID { get; set; }
    public string FALT_AppTypeBName { get; set; }
    public string FALT_Remark { get; set; }
    public string FALT_ToolFlag { get; set; }
    public string FALT_UserID { get; set; }
    public string FALT_UserName { get; set; }
    public string FALT_CallDate { get; set; }
    public string FALT_AppFlag { get; set; }
    public string FALT_InsertDate { get; set; }
    public string FALT_InsertUserID { get; set; }
    public string FALT_SpecialFlag { get; set; }
    public string FALT_ConnectFlag { get; set; }
    public string FALT_AppValue { get; set; }
    public string FALT_AutoFlag { get; set; }
    public string FALT_IsCallOut { get; set; }
    public string FALT_TypeRemark { get; set; }
    public string FALT_IsZX { get; set; }
    public string FALT_SeatsTypeBID { get; set; }
    public string FALT_SeatsTypeBName { get; set; }
    public string FALT_IdentifyDate { get; set; }
    public string FTS_ListID { get; set; }
    public string FTS_FlowID { get; set; }
    public string FTS_RunID { get; set; }
    public string FTS_APBMID { get; set; }
    public string FTS_APUserID { get; set; }
    public string FTS_AcceptDate { get; set; }
    public string FTS_StoreID { get; set; }
    public string FTC_ListID { get; set; }
    public string FTC_StoreID { get; set; }
    public string FTC_FlowID { get; set; }
    public string FTC_ItemID { get; set; }
    public string FTC_RunID { get; set; }
    public string FTC_BMName { get; set; }
    public string FTC_UPTime { get; set; }
    public string FTC_UPUser { get; set; }
    public string FTC_RRemark { get; set; }
    public string FTC_Notes { get; set; }
    public string FTC_ResultFlag { get; set; }
    public string FTRB_RunID { get; set; }
    public string FTRB_PRunID { get; set; }
    public string FTRB_StoreID { get; set; }
    public string FTRB_FlowID { get; set; }
    public string FTRB_PostItemID { get; set; }
    public string FTRB_ItemID { get; set; }
    public string FTRB_ItemName { get; set; }
    public string FTRB_MoveBM { get; set; }
    public string FTRB_MoveDate { get; set; }
    public string FTRB_MoveUserID { get; set; }
    public string FTRB_TLimits { get; set; }
    public string FTRB_TimeUnit { get; set; }
    public string FTRB_TTime { get; set; }
    public string FTRB_APBMID { get; set; }
    public string FTRB_APDate { get; set; }
    public string FTRB_APUserID { get; set; }
    public string FTRB_UserID { get; set; }
    public string FTRB_DisposeDate { get; set; }
    public string FTRB_RSID { get; set; }
    public string FTRB_RFID { get; set; }
    public string FTRB_RRID { get; set; }
    public string FTRB_RRemark { get; set; }
    public string FTRB_Notes { get; set; }
    public string FTRB_ResultFlag { get; set; }
    public string FTRB_NextBMName { get; set; }
    public string RCI_ID { get; set; }
    public string RCI_CASE_SERIAL { get; set; }
    public string RCI_CASE_TITLE { get; set; }
    public string RCI_CASE_REGISTER { get; set; }
    public string RCI_CASE_REGISTERNO { get; set; }
    public string RCI_CASE_DATE { get; set; }
    public string RCI_CASE_SOURCE { get; set; }
    public string RCI_PHONE_NUMBER { get; set; }
    public string RCI_APPLICANT_NAME { get; set; }
    public string RCI_APPLICANT_SEX { get; set; }
    public string RCI_APPLICANT_AGE { get; set; }
    public string RCI_CERTIFICATE_TYPE { get; set; }
    public string RCI_APPLICANT_ID { get; set; }
    public string RCI_CASE_TYPE { get; set; }
    public string RCI_CASE_ACCORD { get; set; }
    public string RCI_CASE_CONTENT { get; set; }
    public string RCI_CASE_PROCESS_TYPE { get; set; }
    public string RCI_CASE_ISPUBLIC { get; set; }
    public string RCI_CASE_ISSECRECT { get; set; }
    public string RCI_CASE_ISVISIT { get; set; }
    public string RCI_CASE_ISURGENT { get; set; }
    public string RCI_TSIGNTIME_BF { get; set; }
    public string RCI_TFDBACKTIME_BF { get; set; }
    public string RCI_TBACKTIME_BF { get; set; }
    public string RCI_TASK_TYPE { get; set; }
    public string RCI_AREA_CODE { get; set; }
    public string RCI_CASE_LNGLAT { get; set; }
    public string RCI_CASE_EMOTION { get; set; }
    public string RCI_CASE_ADDRESS { get; set; }
    public string RCI_EVENT_DATE { get; set; }
    public string RCI_TROWGUID { get; set; }
    public string RCI_CLIENG_GUID { get; set; }
    public string RCI_InsertTime { get; set; }
    public string RCI_SyncState { get; set; }
    public string RCI_SyncCount { get; set; }
    public string RCI_SyncNextTime { get; set; }
    public string RCI_SyncMaxCount { get; set; }
    public string RCI_SyncTime { get; set; }
    public string RCI_SyncResult { get; set; }
    public string RCI_ReturnResult { get; set; }
    public string RCI_SNumber { get; set; }
    public string RCI_ADVISE_TYPE { get; set; }
    public string RCI_ADVISE_DEPT { get; set; }
    public string RCI_COMPLAIN_TYPE { get; set; }
    public string RCI_COMPLAIN_DEPT { get; set; }
    public string WFAT_AcceptID { get; set; }
    public string WFAT_LKName { get; set; }
    public string WFAT_Sex { get; set; }
    public string WFAT_IsSecret { get; set; }
    public string WFAT_Mail { get; set; }
    public string WFAT_IDCard { get; set; }
    public string WFAT_Mobile { get; set; }
    public string WFAT_AccountNum { get; set; }
    public string WFAT_Address { get; set; }
    public string WFAT_Title { get; set; }
    public string WFAT_FromID { get; set; }
    public string WFAT_PurTypeID { get; set; }
    public string WFAT_ConTypeID { get; set; }
    public string WFAT_Code { get; set; }
    public string WFAT_Pwd { get; set; }
    public string WFAT_AddDate { get; set; }
    public string WFAT_IP { get; set; }
    public string WFAT_SyncFlag { get; set; }
    public string WFAT_SyncDate { get; set; }
    public string WFAT_SyncFlowID { get; set; }
    public string WFAT_AreaID { get; set; }
    public string WFAT_Type { get; set; }
    public string WFAT_Voice { get; set; }
    public string WFAT_LatLon { get; set; }
    public string WFAT_ReportType { get; set; }
    public string WFAT_ReportType2 { get; set; }
    public string WFAT_Address2 { get; set; }
    public string WFAT_ServerName { get; set; }
    public string WFAT_PoliceCode { get; set; }
    public string WFAT_WXOpenid { get; set; }
    public string WFAT_IndustryID { get; set; }
    public string WFAT_IndustryName { get; set; }
    public string WFAT_From { get; set; }
    public string WFAT_UserID { get; set; }
    public string WEA_ID { get; set; }
    public string WEA_AcceptID { get; set; }
    public string WEA_AreaID { get; set; }
    public string WEA_AreaFullName { get; set; }
    public string WEA_OperationType { get; set; }
    public string WEA_OperationStartTime { get; set; }
    public string WEA_OperationEndTime { get; set; }
    public string WEA_OperationPlace { get; set; }
    public string WEA_OperationAddress { get; set; }
    public string WEA_DeviceInfo { get; set; }
    public string WEA_TypeID { get; set; }
    public string WEA_TypeName { get; set; }
    public string WEA_CompanyType { get; set; }
    public string PlaceTypeID { get; set; }
    public string PlaceTypeName { get; set; }
    public string PlaceTypeCode { get; set; }
    public string WEA_PlaceTypeID { get; set; }
    public string WEA_PlaceTypeName { get; set; }
    public string WEA_PlaceTypeCode { get; set; }
    public string WEA_CompanyName { get; set; }
    public string STL_ID { get; set; }
    public string STL_FlowID { get; set; }
    public string STL_TagType { get; set; }
    public string STL_TagRemark { get; set; }
    public string STL_AddUserID { get; set; }
    public string STL_UserName { get; set; }
    public string STL_AddDate { get; set; }
    public string STL_BMType { get; set; }
    public string STL_SYSType { get; set; }
    public string SWLS_ID { get; set; }
    public string SWLS_FlowID { get; set; }
    public string SWLS_IndustryID { get; set; }
    public string SWLS_TypeID { get; set; }
    public string SWLS_TypeName { get; set; }
    public string SWLS_TypeName_All { get; set; }
    public string SWLS_AddUserID { get; set; }
    public string SWLS_AddDate { get; set; }
    public string SWLS_Flag { get; set; }
    public string SWLS_CancelUserID { get; set; }
    public string SWLS_CancelDate { get; set; }
    public string FPC_ID { get; set; }
    public string FPC_FlowID { get; set; }
    public string FPC_Code { get; set; }
    public string FPC_Content { get; set; }
    public string FPC_AcceptDate { get; set; }
    public string FPC_InsertDate { get; set; }
    public string FPC_StateFalg { get; set; }
    public string FPC_SyncDate { get; set; }
    public string FPC_BMType { get; set; }
    public string FPC_ResultType { get; set; }
    public string FPC_Count { get; set; }
    public string FPC_ISTrue { get; set; }
    public string memberName { get; set; }
    public string memberMobile { get; set; }
    public string appealNumber { get; set; }
    public string isRepeat { get; set; }
    public string repeatAppealNumber { get; set; }
    public string isHiddenDanger { get; set; }
    public string FPC_AreaID { get; set; }
    public string FPC_AreaFullName { get; set; }
    public string FPC_TageisTrue { get; set; }
    public string FPC_TageisPunish { get; set; }
    public string FPC_TageisFund { get; set; }
    public string FPC_TagBMUserID { get; set; }
    public string FPC_TagBMDate { get; set; }
    public string FPC_TagType { get; set; }
    public string FPC_TagFalg { get; set; }
    public string FPC_TagUserID { get; set; }
    public string FPC_TagUserName { get; set; }
    public string FPC_TagRemark { get; set; }
    public string FPC_TagDate { get; set; }
    public string FPC_PDUserID { get; set; }
    public string WUW_WriteID { get; set; }
    public string WUW_WebUserID { get; set; }
    public string WUW_AcceptID { get; set; }
    public string WUW_FlowID { get; set; }
    public string WUW_WXOpenid { get; set; }
    public string 受理内容 { get; set; }
    public string FSH_OverTimeState { get; set; }
    public string FSH_Title_ys { get; set; }
    public string 承办意见 { get; set; }
    public string SIC_Name { get; set; }
    public int? OneOrgId { get; set; }
}
