using Abp;
using DataTransmission.Joint;
using System.CodeDom.Compiler;
using System.Data;

namespace DataTransmission
{
	public partial class Form1 : Form
	{
		private readonly Order order = new Order();
		private readonly Execute execute = new Execute();
		private readonly CommonTool tool = new CommonTool();
		private readonly Knowledge knowledge = new Knowledge();
		private  Entity.Config config = new Entity.Config();

	

		public Form1()
		{
			InitializeComponent();
			cbox_bb.Items.Add("˱");
			cbox_bb.Items.Add("Թ");
			cbox_bb.Items.Add("");
			cbox_bb.SelectedIndex = 0;
		}

		private void btn_tb_Click(object sender, EventArgs e)
		{
			btn_tb.Enabled = false;
			//if (cbox_bb.SelectedText ="˱")
			//{

			//}
			switch (cbox_bb.SelectedItem)
			{
				case "˱":
					config.Name = "˱";
					config.CenterId = "23";
					config.Paseword = "AQAAAAIAAYagAAAAELQ9clcozvhLoTC0pUjUwv40VXsIp3JyxFhEmqVQOmBLMZ7gGmne6cqL9FHXb0CUBQ==";
					config.ModuleId = "08db8db3-eea4-4737-88dd-6c7b990c7705";
					break;
				case "Թ":
					config.Name = "Թ";
					config.CenterId = "2";
					config.Paseword = "AQAAAAIAAYagAAAAEJZNauXWsvzHDvSCLEwNjA3qVJcQqEHAexlWDg6ONJJtK5hDNnL8gwwXxwZW5YszfA==";
					config.ModuleId = "2430d69a-59df-46a1-b155-85e69cfba010";
					break;
				case "":
					config.Name = "";
					config.CenterId = "23";
					config.Paseword = "AQAAAAIAAYagAAAAELQ9clcozvhLoTC0pUjUwv40VXsIp3JyxFhEmqVQOmBLMZ7gGmne6cqL9FHXb0CUBQ==";
					config.ModuleId = "08db8db3-eea4-4737-88dd-6c7b990c7705";
					break;
				default:
					break;
			}



			if (cb_opp.Checked)
			{//ͬExecuteInsertOrderPublic
				execute.ExecuteInsertOrderPublic(st_time.Value.ToString("yyyy-MM-dd") + " 00:00:00", end_time.Value.ToString("yyyy-MM-dd") + " 23:59:59");
			}

			if (cb_tz.Checked)
			{
				execute.ExecuteInsertNotice(st_time.Value.ToString("yyyy-MM-dd") + " 00:00:00", end_time.Value.ToString("yyyy-MM-dd") + " 23:59:59");
			}
			if (cb_zsk.Checked)
			{
				execute.ExecuteInsertKnowledge(st_time.Value.ToString("yyyy-MM-dd") + " 00:00:00", end_time.Value.ToString("yyyy-MM-dd") + " 23:59:59");
			}
			if (cb_zsklx.Checked)
			{
				//֪ʶ
				execute.ExecuteTypeSql();
			}
			if (cb_order.Checked)
			{
				ExecuteInsert(config);
			}
			if (cb_jg.Checked)
			{
				execute.ExecuteOrganizeSql();
			}
			if (cb_user.Checked)
			{
				execute.ExecuteUserSql();
				//
				//execute.ExecuteStaffSql();
			}
			MessageBox.Show("ͬɣȱرճ");
			btn_tb.Enabled = true;
		}

		private void ExecuteInsert(Entity.Config config)
		{
			var orderTable = order.GetOrder(st_time.Value.ToString("yyyy-MM-dd") + " 00:00:00", end_time.Value.ToString("yyyy-MM-dd") + " 23:59:59");

			var count = orderTable.Rows.Count;

			var exNum = 0;
			var threadNum = 100;

			var divisor = count / threadNum;
			var remainder = count % threadNum;
			for (int i = 0; i < divisor; i++)
			{
				var stNum = exNum;
				var enNum = exNum + threadNum;

				var data = orderTable.AsEnumerable().Where(x => ((int)x.Field<long>("Serial")) > stNum && ((int)x.Field<long>("Serial")) <= enNum).CopyToDataTable();
				execute.ExecuteSql(data, config);
				exNum += threadNum;
			}

			if (remainder > 0)
			{
				var stNum = divisor * threadNum;
				var data = orderTable.AsEnumerable().Where(x => ((int)x.Field<long>("Serial")) >= stNum).CopyToDataTable();
				execute.ExecuteSql(data, config);
			}
		}
	}
}