﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SnapshotWinFormsApp.Entities.OldHotline;

[SugarTable("ZG_CityHotline_Ver3.dbo.Flow03_PushContent")]
public class Flow03_PushContent : OldBaseEntity
{
    [SugarColumn(ColumnName = "FPC_ID")]
    public override string Id { get => base.Id; set => base.Id = value; }
    //public int FPC_ID { get; set; }
    public int FPC_FlowID { get; set; }
    public string? FPC_Code { get; set; }
    public string? FPC_Content { get; set; }
    public DateTime? FPC_AcceptDate { get; set; }
    public DateTime? FPC_InsertDate { get; set; }
    public int? FPC_StateFalg { get; set; }
    public DateTime? FPC_SyncDate { get; set; }
    public string? FPC_BMType { get; set; }
    public string? FPC_ResultType { get; set; }
    public int? FPC_Count { get; set; }
    public bool? FPC_ISTrue { get; set; }
    public string? MemberName { get; set; }
    public string? MemberMobile { get; set; }
    public string? AppealNumber { get; set; }
    public bool? IsRepeat { get; set; }
    public string? RepeatAppealNumber { get; set; }
    public bool? IsHiddenDanger { get; set; }
    public int? FPC_AreaID { get; set; }
    public string? FPC_AreaFullName { get; set; }
    public bool? FPC_TageisTrue { get; set; }
    public bool? FPC_TageisPunish { get; set; }
    public bool? FPC_TageisFund { get; set; }
    public int? FPC_TagBMUserID { get; set; }
    public DateTime? FPC_TagBMDate { get; set; }
    public string? FPC_TagType { get; set; }
    public int? FPC_TagFalg { get; set; }
    public int? FPC_TagUserID { get; set; }
    public string? FPC_TagUserName { get; set; }
    public string? FPC_TagRemark { get; set; }
    public DateTime? FPC_TagDate { get; set; }
    public int? FPC_PDUserID { get; set; }
}

public class Flow03_PushContentDto 
{
    public string? MemberName { get; set; }
    public string? MemberMobile { get; set; }

}
