﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SnapshotWinFormsApp.Entities.OldHotline;

[SugarTable("ZG_CityHotline_Ver3.dbo.SSP_Invite")]
public class SSP_InviteLogEntity: OldBaseEntity
{
    [SugarColumn(ColumnName = "SSPI_ID")]
    public override string Id { get => base.Id; set => base.Id = value; }
    //public string SSPI_ID { get; set; }
    public string SSPI_Openid { get; set; }
    public DateTime SSPI_AddTime { get; set; }
    public string SSPI_Code { get; set; }
    public string SSPI_Remarks { get; set; }
    public string SSPI_CodeID { get; set; }
    public string SSPI_Type { get; set; }
}

public class OldInviteLogEntity : OldBaseEntity
{
    /// <summary>
    /// 部门Id
    /// </summary>
    [SugarColumn(ColumnDescription = "部门Id")]
    public string OrgId { get; set; }

    /// <summary>
    /// 部门名称
    /// </summary>
    [SugarColumn(ColumnDescription = "部门名称")]
    public string OrgName { get; set; }

    /// <summary>
    /// 邀请码
    /// </summary>
    [SugarColumn(ColumnDescription = "邀请码")]
    public string InviteCode { get; set; }

    /// <summary>
    /// 微信OpenId
    /// </summary>
    [SugarColumn(ColumnDescription = "微信OpenId")]
    public string WXOpenId { get; set; }

    /// <summary>
    /// 电话
    /// </summary>
    [SugarColumn(ColumnDescription = "电话")]
    public string PhoneNumber { get; set; }

    /// <summary>
    /// 姓名
    /// </summary>
    [SugarColumn(ColumnDescription = "姓名")]
    public string? Name { get; set; }

    /// <summary>
    /// 时间
    /// </summary>
    public DateTime CreationTime { get; set; }
}
